﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MxARK_LevelGen
{
    class Program
    {
        public static string version = "1.1.0";

        static void Main(string[] args)
        {
            msg.Splash();
            if (args.Count() < 3)
            {
                msg.CMW("Error! Arguments missing. Exemple:",true,3);
                msg.CMW("MxARK_LevelGen.exe <maxlevel> <startexp> <increment%> <engramperlevel>", true, 3);
                msg.CMW("MxARK_LevelGen.exe 500 5000 5 20", true, 3);
                msg.CMW("Max level is 500.", true, 3);
                msg.CMW("Experience start at 5000.", true, 3);
                msg.CMW("Experience needed increase by 5% every level.", true, 3);
                msg.CMW("You get 20 engram points per level.", true, 3);
                msg.CMW("", false, 3);
                msg.CMW("Press any key to exit...", true, 3);
                Console.ReadKey();
            } else if (args[0] != null && args[1] != null && args[2] != null && args[3] != null)
            {
                int maxlevel = Convert.ToInt32(args[0]);
                int startexp = Convert.ToInt32(args[1]);
                int increment = Convert.ToInt32(args[2]);
                int engram = Convert.ToInt32(args[3]);

                int expneed = startexp;

                if (File.Exists("levelconfig.txt")) { File.Delete("levelconfig.txt"); }

                File.AppendAllText("levelconfig.txt", $"LevelExperienceRampOverrides=(");
                for (int l = 1; l <= maxlevel; l++)
                {                    
                    if (l != maxlevel)
                    {
                        expneed = expneed + ((expneed / 100) * increment);
                        File.AppendAllText("levelconfig.txt", $"ExperiencePointsForLevel[{l}]={expneed},");
                    } else
                    {
                        File.AppendAllText("levelconfig.txt", $"ExperiencePointsForLevel[{l}]={expneed})");
                    }
                }

                File.AppendAllText("levelconfig.txt", Environment.NewLine + Environment.NewLine);

                for (int l = 1; l <= maxlevel; l++)
                {
                    File.AppendAllText("levelconfig.txt", $"OverridePlayerLevelEngramPoints={engram}" + Environment.NewLine);
                }
            }
        }
    }
}
